/// <reference types="node" />
import { Vector2 } from "@skeldjs/util";
import { Node } from "./Node";
export declare class Grid {
    readonly basex: number;
    readonly basey: number;
    readonly width: number;
    readonly height: number;
    readonly density: number;
    nodes: Node[][];
    dirty: Set<Node>;
    pathid: number;
    static fromBuffer(buffer: Buffer): Grid;
    static create(basex: number, basey: number, width: number, height: number, density: number): Grid;
    constructor(nodes: Node[][], basex: number, basey: number, width: number, height: number, density: number);
    get actual_width(): number;
    get actual_height(): number;
    nearest(x: number, y: number): Node;
    actual(x: number, y: number): Vector2;
    at(i: number): Node;
    get(x: number, y: number): Node;
    set(x: number, y: number): void;
    unset(x: number, y: number): void;
    reset(): void;
    createBuffer(): Buffer;
}
